--- src/gui/text/qfontdatabase_mac.cpp.orig
+++ src/gui/text/qfontdatabase_mac.cpp
@@ -546,6 +546,7 @@
 
 QString QFontDatabase::resolveFontFamilyAlias(const QString &family)
 {
+#if defined(QT_MAC_USE_COCOA) && (MAC_OS_X_VERSION_MAX_ALLOWED >= MAC_OS_X_VERSION_10_5)
     QCFString expectedFamily = QCFString(family);
 
     QCFType<CFMutableDictionaryRef> attributes = CFDictionaryCreateMutable(NULL, 0,
@@ -563,6 +564,10 @@
 
     QCFString familyName = (CFStringRef) CTFontDescriptorCopyLocalizedAttribute(matched, kCTFontFamilyNameAttribute, NULL);
     return familyName;
+#else
+    // https://bugreports.qt.io/browse/QTBUG-25417?focusedCommentId=185393&page=com.atlassian.jira.plugin.system.issuetabpanels%3Acomment-tabpanel#comment-185393
+    return family;
+#endif
 }
 
 QT_END_NAMESPACE
